#
# spec file for package abiword (Version 0.9.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel freetype freetype2 freetype2-devel gal gal-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpp gtk gtk-devel imlib imlib-devel indent libglade libglade-devel libgpp libjpeg libpng libtiff libungif libunicode libxml libxml-devel libz popt xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex freetype freetype2 freetype2-devel gal gal-devel gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-print gnome-print-devel gpm gpp gppshare grep groff gtk gtk-devel gzip imlib imlib-devel indent kbd less libglade libglade-devel libgpp libjpeg libpng libtiff libtool libungif libunicode libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl popt ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         abiword
%define prefix /usr/share 
Copyright:    copyrighted by AbiSource / GPL 
Group:        X11/GNOME/Applications
Autoreqprov:  on
Summary:      A full-featured and fast Word Processor
Version:      0.9.2
Release:      61
Source0:      http://www.abisource.com/downloads/Version-%{version}/lf/abi-%{version}.tar.bz2
Source1:      cjk-examples-suse.tar.bz2
Source2:      README-CJK.SuSE
Source3:      ja-JP.fonts.dir
Source4:      ko-KR.fonts.dir
Source5:      zh-TW.fonts.dir
Source6:      cjk.fonts.alias
BuildRoot:    %{_tmppath}/%{name}-root/
Patch: abi-install.dif
Patch1: help-browser.dif

%description
AbiWord is a lean and fast full-featured word processor.

Authors:
--------
    Thomas Fletcher <thomasf@qnx.com>
    Jeff Hostetler <jeff@abisource.com>
    Paul Rohr <paul@abisource.com>
    Bob Sievers <bob@abisource.com>
    Eric Sink <eric@abisource.com>
    Shaw Terwilliger <sterwill@abisource.com>

SuSE series: gnm

%prep
%setup -n abiword-%{version} -a 1
%patch -p1
%patch1 -p1
cp $RPM_SOURCE_DIR/README-CJK.SuSE .
cd $RPM_BUILD_DIR
DIR=$(find ../ -name ltmain.sh -printf "%h ")
%{?suse_update_config:%{suse_update_config -f $DIR}}

%build
ln -sf /usr/include/gtk-1.2/* /usr/include
LDFLAGS="-lfreetype" \
CFLAGS="$RPM_OPT_FLAGS -I/opt/gnome/include -I/usr/include" \
cd abi
make   ABI_OPT_GNOME=1 XLDFLAGS="-lfreetype -L/opt/gnome/lib" 
#make 

%install
cd abi
ABI_OPT_GNOME=1 make prefix=$RPM_BUILD_ROOT%{prefix} install
make prefix=$RPM_BUILD_ROOT%{prefix} install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
ln -sf %{prefix}/AbiSuite/bin/AbiWord \
       $RPM_BUILD_ROOT/usr/X11R6/bin/AbiWord
ln -sf %{prefix}/AbiSuite/bin/AbiWord \
       $RPM_BUILD_ROOT/usr/X11R6/bin/abiword
# - install fonts.dir files for Asian languages
for i in ja-JP ko-KR zh-TW
do
    mkdir $RPM_BUILD_ROOT%{prefix}/AbiSuite/fonts/$i
    cp $RPM_SOURCE_DIR/$i.fonts.dir $RPM_BUILD_ROOT%{prefix}/AbiSuite/fonts/$i/fonts.dir
done
# append aliases needed by the above fonts.dir files to a fonts.alias file
# in Abiword's fonts directory:
cat $RPM_SOURCE_DIR/cjk.fonts.alias >> $RPM_BUILD_ROOT%{prefix}/AbiSuite/fonts/fonts.alias
# - make symlinks to the English help files for languages where no translations
#   for the help files exist
for i in ja-JP ko-KR zh-TW cs-CZ da-DK pl-PL pt-BR ru-RU sv-SE lt-LT it-IT es-ES
do
    pushd $RPM_BUILD_ROOT%{prefix}/AbiSuite/AbiWord/help/
       test -e $i || ln -s en-US $i 
    popd
done

%files 
%doc abi/COPYING  abi/COPYRIGHT.TXT abi/CREDITS.TXT abi/README.TXT abi/VERSION.TXT abi/BiDiReadme.txt abi/UnixFonts.txt abi/UnixLocales.txt
%doc README-CJK.SuSE cjk-examples-suse
%{prefix}/AbiSuite
/usr/X11R6/bin/AbiWord
/usr/X11R6/bin/abiword

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n abiword
* Fri Sep 07 2001 - mfabian@suse.de
- I broke the fix from <hhetter@suse.de> for the Buildroot in the
  wrapper creation script. Very sorry. Should be fixed again.
* Sun Sep 02 2001 - mfabian@suse.de
- add fonts.dir and fonts.alias files to support Asian languages.
  All CID-keyed font packages currently available on SuSE Linux
  can now be used with abiword, i.e. you can now use the WadaLab
  fonts for Japanese, the Munhwa fonts for Korean and the MOE
  fonts for traditional Chinese.
- make symlinks to the English help files for languages where
  no translated help files exist.
* Thu Aug 23 2001 - hhetter@suse.de
- fix for Buildroot in the wrapper-creation script
- prefer galeon over konqueror as web-browser
* Thu Aug 16 2001 - hhetter@suse.de
- update to version 0.9.2, mostly bugfix release
- test on i386
* Wed Aug 01 2001 - hhetter@suse.de
- update to version 0.9.0
- specfile cleanup
- filelist adaptions
- adapted patches
- test on i386
* Wed Jun 27 2001 - hhetter@suse.de
- added gal-devel to neededforbuild
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Thu Apr 05 2001 - sf@suse.de
- implemented suse_update_config correctly
- added some missing headers for gcc >= 2.96
* Tue Mar 20 2001 - egger@suse.de
- Reflected GNOME sound changes in #neededforbuild.
* Tue Mar 13 2001 - egger@suse.de
- Updated to 0.7.13.
- Fixed to build.
* Thu Feb 22 2001 - ro@suse.de
- added freetype2 (and -devel) to neededforbuild and link options
* Mon Dec 18 2000 - sf@suse.de
- added #include <string.h> to xap_UnixFrame.cpp
  to make it compile on IA64
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Thu Sep 28 2000 - gs@suse.de
- bugfixes in spec-file (use of BuildRoot)
- patches for install.sh and makewrapper.sh
* Mon Sep 25 2000 - egger@suse.de
- Disable GNOME stuff as it seems to crash AbiWord more often.
- Use BuildRoot.
- Buildproofed on i386.
* Sat Sep 16 2000 - egger@suse.de
- update to 0.7.11.
- added GNOME support.
- cleaned up specfile.
- tested functionality.
* Mon Jun 26 2000 - gs@suse.de
- update to 0.7.10
* Wed May 10 2000 - gs@suse.de
- update to 0.7.9
* Sat Apr 08 2000 - bk@suse.de
- added suse update config macro
- added support for linux-s390
* Fri Feb 18 2000 - gs@suse.de
- update to v. 0.7.8
* Mon Dec 13 1999 - ro@suse.de
- use /usr/X11R6/bin instead of /usr/bin/X11
* Tue Nov 16 1999 - gs@suse.de
- installation directory: /usr/share, links in /usr/bin/X11
